
Foreman - Feature #593

split log for facts, reports and everything else

01/18/2011 11:14 AM - Paul Kelly

Status: Needs design   

Priority: Normal   

Assignee: Paul Kelly   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The foreman log should be split into three. The continuous stream of reports and facts makes looking at the log nearly impossible.

Related issues:

Has duplicate Foreman - Feature #778: log entries shuld be separated out to a... Duplicate 03/23/2011

Associated revisions

Revision 5e7454fc - 12/19/2011 08:24 AM - Paul Kelly

Fixes #593 - Separate log file for facts and reports

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

Revision 387b0b0c - 12/20/2011 01:56 AM - Ohad Levy

Revert "Fixes #593 - Separate log file for facts and reports"

This reverts commit 5e7454fc1f73ebb599cf7dc96faa22836eebd11c.

History

#1 - 07/18/2011 03:28 AM - Ohad Levy

- Assignee set to Paul Kelly

#2 - 12/16/2011 05:41 AM - Paul Kelly

- Status changed from New to Ready For Testing

#3 - 12/19/2011 08:22 AM - Ohad Levy

- Target version set to 1.0

#4 - 12/19/2011 09:17 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5e7454fc1f73ebb599cf7dc96faa22836eebd11c.

#5 - 12/19/2011 09:31 AM - Ohad Levy

it would have been nice if we also included the ENC requests too ;)

#6 - 12/19/2011 09:49 AM - Ohad Levy

on second though, why would you split ENC, facts and reports logs? its probably better to have them all in a one seperate log.

that would be something like users logs and hosts/puppet related logs

#7 - 12/20/2011 01:57 AM - Ohad Levy
- Status changed from Closed to Assigned

Sorry, I've reverted the commit, as after playing with it, it makes little sense for facts and reports to different logs.

sometime you want to debug them, and the order etc is important.

what do you think of the suggestion above?

#8 - 12/20/2011 03:40 AM - Ohad Levy

- Status changed from Assigned to Closed

Applied in changeset 387b0b0c54a9b9c31b3727ebc1e8ec984e3d5c55.

#9 - 12/20/2011 05:50 AM - Paul Kelly

- Status changed from Closed to Need more information

The points that you make are fine. I assume that you mean the reports, facts and enc logs going into a development-input.log and the remainder

going into the development.log.

As you say it is sometime advantageous to see all the logs in one location so we should make this configurable via a setting. For day to day

monitoring of large installations the split log approach would be better in my opinion.

#10 - 12/20/2011 06:46 AM - Ohad Levy

Paul Kelly wrote:

The points that you make are fine. I assume that you mean the reports, facts and enc logs going into a development-input.log and the remainder

going into the development.log.

 I guess so.

As you say it is sometime advantageous to see all the logs in one location so we should make this configurable via a setting. For day to day

monitoring of large installations the split log approach would be better in my opinion.

 I agree, while I would argue there is a difference between a user action (such as creating a new host) vs automated actions (such as puppet reports).

Is that enough?

#11 - 03/18/2012 08:52 AM - Ohad Levy

- Status changed from Need more information to Feedback

- Target version deleted (1.0)

Thinking on this further,

I would probably would split to:

1. events that are generated by puppet (ENC, facts, reports).

2. API events

3. events that are UI driven (all the rest)

What do you think? any idea on how to implement per controller action instead of per model?

#12 - 05/17/2017 06:28 AM - Anonymous

- Status changed from Feedback to Needs design
